{extends file="$layouts_admin"}
{block name="head"}




{/block}

{block name="content"}

<style type="text/css">

    .list-group{
        max-height: 150px;
        margin-bottom: 10px;
        overflow:scroll;
        -webkit-overflow-scrolling: touch;
    }    

</style>
<div class="row">

    <div class="col-md-12">



        <div class="panel">
            <div class="panel-hdr">
                <h2><span></span>Edit Parnert</h2>

            </div>

            <div class="panel-container show" id="ibox_form">

                <div class="panel-content">

                    <div class="px-2">
                        <div class="alert alert-danger" id="emsg" style="display: none;">
                            <span id="emsgbody"></span>
                        </div>

                        <div class="alert alert-success" id="emsgSuccess" style="display: none;">
                            <span id="emsgbodySuccess"></span>
                        </div>

                        <form id="rform">

                            <div class="row">

                                <div class="col-md-6 col-sm-6">

                                    <div class="mb-3 row">
                                        <label for="company_name" class="col-sm-3"><span class="h6">Company name</span><span class="text-danger">*</span></label>
                                        <div class="col-sm-9">
                                            <input type="text" id="company_name" name="company_name" class="form-control tenercompany_name" value="{$d['company']}" autofocus>
                                        </div>
                                    </div>

                                    <div class="mb-3 row">
                                        <label for="country" class="col-sm-3"><span class="h6">{$_L['Country']}</span> </label>
                                        <div class="col-sm-9">

                                            <select name="country" id="country" class="form-control tenercountry">
                                                <option value=""><span></span>{$_L['Select Country']}</option>
                                                {$countries}
                                            </select>
                                        </div>
                                    </div>


                                    <div class="mb-3 row">
                                        <label for="address" class="col-sm-3"><span class="h6">{$_L['Address']}</span><span class="text-danger">*</span> </label>
                                        <div class="col-sm-9">

                                            <input type="text" autocomplete="off" value="{$d['address']}"  id="address" name="address" class="form-control teneraddress">

                                            <ol class="list-group " id="browsers">

                                            </ol>
                                        </div>
                                    </div>

                                    <div class="mb-3 row">
                                        <label for="city" class="col-sm-3"><span class="h6">{$_L['City']}</span> </label>
                                        <div class="col-sm-9">

                                            <input type="text" id="city" name="city" value="{$d['city']}" class="form-control tenercity">


                                        </div>
                                    </div>

                                    <div class="mb-3 row">
                                        <label for="state" class="col-sm-3"><span class="h6">{$_L['State Region']}</span> </label>
                                        <div class="col-sm-9">

                                            <input type="text" id="state" name="state" value="{$d['state']}" class="form-control tenerstate">


                                        </div>
                                    </div>


                                    <div class="mb-3 row">
                                        <label for="zip" class="col-sm-3"><span class="h6">{$_L['ZIP Postal Code']}</span> </label>
                                        <div class="col-sm-9">

                                            <input type="text" id="zip" name="zip" value="{$d['zip']}" class="form-control tenerzip">
                                        </div>
                                    </div>

              
                                </div>


                                <div class="col-md-6 col-sm-12">
                                    <div class="mb-3 row">
                                        <label for="fullname" class="col-sm-3"><span class="h6">{$_L['Full Name']}</span><span class="text-danger">*</span></label>
                                        <div class="col-sm-9">
                                            <input type="text" id="fullname" name="fullname" value="{$d['fullname']}" class="form-control tenerfullname" autofocus>
                                        </div>
                                    </div>

  
                                    <div class="mb-3 row">
                                        <label for="email" class="col-sm-3"><span class="h6">{$_L['Email']}</span><span class="text-danger">*</span> </label>
                                        <div class="col-sm-9">

                                            <input type="text" id="email" name="email" value="{$d['email']}" class="form-control teneremail">


                                        </div>
                                    </div>
                                    <div class="mb-3 row">
                                        <label for="phone" class="col-sm-3"><span class="h6">{$_L['Phone']}</span><span class="text-danger">*</span> </label>
                                        <div class="col-sm-9">

                                            <input type="text" id="phone" name="phone" value="{$d['phone']}" class="form-control tenerphone">


                                        </div>
                                    </div>

                                    <div class="mb-3 row">
                                        <label for="url_slug" class="col-sm-3"><span class="h6">Url slug</span><span class="text-danger">*</span></label>
                                        <div class="col-sm-9">
                                            <input type="text" id="url_slug" name="url_slug" value="{$d['url_slug']}" class="form-control tenerurl_slug" disabled>
                                        </div>
                                    </div>

                                    <input type="hidden" id="id_par" name="id_par" value="{$d['id']}" class="form-control" >

                                    
                                </div>

                                <hr>
                                    
                                <div class="col-md-6 col-sm-12">
                                    <div class="mb-3 row">
                                        <label for="estado" class="col-sm-3"><span class="h6">State</span><span class="text-danger">*</span></label>
                                        <div class="col-sm-9">                                  
                                            <select id="estado" name="estado" class="form-control tenerestado" value="{$d['estado_id']}" >
                                                <option value="1" selected>Active</option>
                                                <option value="2">Inactive</option>
                                            </select>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-md-6 col-sm-12">
                                    <div class="mb-3 row">
                                        <label for="tipoPago" class="col-sm-3"><span class="h6">Type of Payment</span><span class="text-danger">*</span></label>
                                        <div class="col-sm-9">                                  
                                            <select id="tipoPago" name="tipoPago" class="form-control  tipoPagoSeleccionado" >
                                                <option value="1" selected>Pay per user</option>
                                                <option value="2">Payment per month</option>
                                                <option value="3">Free</option>
                                            </select>
                                        </div>
                                    </div>
                                </div>

                                 <div class="col-md-6 col-sm-12">
                                    <div class="mb-3 row">
                                        <label for="logotipo" class="col-sm-3">
                                        <span class="h6"><a  style="text-decoration: underline !important;cursor:pointer;" class="abrirImagen">Logotipo</a></span><span class="text-danger">*</span> 
                                         
                                        </label>
                                        <div class="col-sm-9">                                  
                                           <input id="logotipo" name="logotipo" type="file" id="imagenInput" class="form-control imagenSeleccionada" accept="image/*">
                                           
                                           <input type="text"  class="form-control tenerurlImagen" value="{$isProduccion}{$d['imagen_url']}{$d['imagen_nombre']}" hidden>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-md-6 col-sm-12">
                                    <div class="mb-3 row">
                                        <label for="fechaFinalDemo" class="col-sm-3"><span class="h6">Demo end date</span><span class="text-danger"></span></label>
                                        <div class="col-sm-9">                                  
                                           <input id="fechaFinalDemo" name="fechaFinalDemo" type="date" id="fechaFinalDemo" class="form-control fechaDemostracion" value="{$d['fecha_final_demostracion']}">
                                        </div>
                                    </div>
                                </div>

                                <div class="col-md-6 col-sm-12">
                                    <div class="mb-3 row">
                                        <label for="valorPorUsuarios" class="col-sm-3"><span class="h6">Value per user</span><span class="text-danger"></span></label>
                                        <div class="col-sm-9">                                  
                                           <input id="valorPorUsuarios" name="valorPorUsuarios" type="number" id="valorPorUsuarios" class="form-control tenerValorPorUsuario" value="{$d['valor_por_usuario']}"  min="0" >
                                        </div>
                                    </div>
                                </div>

                                <div class="col-md-6 col-sm-12">
                                    <div class="mb-3 row">
                                        <label for="valorMensual" class="col-sm-3"><span class="h6">Monthly value</span><span class="text-danger"></span></label>
                                        <div class="col-sm-9">                                  
                                           <input id="valorMensual" name="valorMensual" type="number" id="valorMensual" class="form-control tenerValorMensual" value="{$d['valor_por_mensualidad']}"  min="0">
                                        </div>
                                    </div>
                                </div>

                                {if $d['fecha_cobro'] != 0}
                                <div class="col-md-6 col-sm-6 col-12">
                                    <div class="mb-3 row">
                                        <label for="fechaCobro" class="col-sm-3"><span class="h6">Payment date</span><span class="text-danger">*</span></label>
                                        <div class="col-sm-4 col-6">                                  
                                            <select id="fechaCobro" name="fechaCobro" class="form-control  fechaCobro" disabled>
                                                
                                            </select>
                                        </div>

                                        <div class="col-sm-5 col-6" style="text-align: center; display: flex; justify-content: center; flex-direction: column; font-family: inherit; font-weight: 600; line-height: 1.5; margin-bottom: .5rem; color: #32325d;">                                  
                                            Of each month
                                        </div>
                                    </div>
                                </div>
                                {/if}

                                <hr>
                                {* informacion de la tarjeta *}
 
                                <div class="col-md-12 col-sm-12">
                                    <div class="mb-3 row">
                                        <label for="PagoManualOAutomatico" class="col-sm-3"><span class="h6">Automatic payment</span><span class="text-danger">*</span></label>
                                        <div class="col-sm-9">                                  
                                            <select id="PagoManualOAutomatico" name="PagoManualOAutomatico" class="form-control tenerFormaPagoAutomaticoManual" 
                                            {if $manual_o_automatico == 2}
                                            disabled
                                            {/if}
                                             >
                                                <option value="1" selected>Manual</option>
                                                <option value="2">Automatic</option>
                                            </select>
                                        </div>
                                    </div>
                                </div>

                                <div class="col-md-6 col-sm-12">

                                    <div class="mb-3 row">
                                        <label for="card_name" class="col-sm-3"><span class="h6">Card Name</span><span class="text-danger">*</span></label>
                                        <div class="col-sm-9">
                                            <input type="text" id="card_name" name="card_name" class="form-control tenercard_name" value="{$card_name}" autofocus>
                                        </div>
                                    </div>
           
                                   <div class="mb-3 row">
                                        <label for="card_number" class="col-sm-3"><span class="h6">Card Number</span></span><span class="text-danger">*</span></label>
                                        <div class="col-sm-9">
                                            <input type="number" id="card_number" name="card_number" class="form-control tenercard_number" value="{$card_number}">
                                        </div>
                                    </div>

                                    <div class="mb-3 row">
                                        <label for="ccv_code" class="col-sm-3"><span class="h6">CCV code</span><span class="text-danger">*</span></label>
                                        <div class="col-sm-9">
                                            <input type="text" id="ccv_code" name="ccv_code" class="form-control tenerccv_code" value="{$card_codigo_cvv}">
                                        </div>
                                    </div>

                                    <div class="mb-3 row">
                                        <label for="estado_card" class="col-sm-3"><span class="h6">Card status</span><span class="text-danger">*</span></label>
                                        <div class="col-sm-9">                                  
                                            <select id="estado_card" name="estado_card" class="form-control tenerestado_card"   >
                                                <option value="1" selected>Active</option>
                                                <option value="2">Inactive</option>
                                            </select>
                                        </div>
                                    </div>
 
                                </div>


                                <div class="col-md-6 col-sm-12">
                                     
                                    <div class="mb-3 row">
                                        <label for="mes_expiracion" class="col-sm-3"><span class="h6">Expiration Month</span><span class="text-danger">*</span></label>
                                        <div class="col-sm-9">                                  
                                            <select id="mes_expiracion" name="mes_expiracion" class="form-control tener_mes_expiracion" >
                                                <option value="0" selected>Select Expiration Month</option>
                                            </select>
                                        </div>
                                    </div>

                                    <div class="mb-3 row">
                                        <label for="ano_expiracion" class="col-sm-3"><span class="h6">Expiration Year</span><span class="text-danger">*</span></label>
                                        <div class="col-sm-9">                                  
                                            <input type="date" id="ano_expiracion" name="ano_expiracion" class="form-control tener_ano_expiracion" >
                                        </div>
                                    </div>

                                     
                                </div>

                                <div class="col-md-12 col-sm-12">                               
                                   <label class="h6">Billing Details</label>
                                </div>
                                <hr>

                                <div class="col-md-6 col-sm-12">
                                     
                                    <div class="mb-3 row">
                                        <label for="nombre_tarjeta_detalle" class="col-sm-3"><span class="h6">Name</span><span class="text-danger">*</span> </label>
                                        <div class="col-sm-9">   
                                            <input type="text" autocomplete="off"  id="nombre_tarjeta_detalle" name="nombre_tarjeta_detalle" class="form-control tener_nombre_tarjeta_detalle" value="{$nombre_tarjeta_detalle}">                                        
                                        </div>
                                    </div>     

                                    <div class="mb-3 row">
                                        <label for="correo_tarjeta_detalle" class="col-sm-3"><span class="h6">Email</span><span class="text-danger">*</span> </label>
                                        <div class="col-sm-9">
                                            <input type="email" autocomplete="off"  id="correo_tarjeta_detalle" name="correo_tarjeta_detalle" class="form-control tener_correo_tarjeta_detalle" value="{$correo_tarjeta_detalle}">                                        
                                        </div>
                                    </div>     

   

                                    <div class="mb-3 row">
                                        <label for="address_card" class="col-sm-3"><span class="h6">{$_L['Address']} 1</span><span class="text-danger">*</span> </label>
                                        <div class="col-sm-9">
                                            <input type="text" autocomplete="off"  id="address_card" name="address_card" class="form-control teneraddress_card" value="{$card_address}">                                        
                                        </div>
                                    </div>         

                                    <div class="mb-3 row">
                                        <label for="codigo_postal_tarjeta_detalle" class="col-sm-3"><span class="h6">Postal Code</span><span class="text-danger">*</span> </label>
                                        <div class="col-sm-9">
                                            <input type="text" autocomplete="off"  id="codigo_postal_tarjeta_detalle" name="codigo_postal_tarjeta_detalle" class="form-control tener_codigo_postal_tarjeta_detalle" value="{$codigo_postal_tarjeta_detalle}">                                        
                                        </div>
                                    </div>            

                                </div>

                                <div class="col-md-6 col-sm-12">

                                    <div class="mb-3 row">
                                        <label for="pais_tarjeta_detalle" class="col-sm-3"><span class="h6">Country</span><span class="text-danger">*</span> </label>
                                        <div class="col-sm-9">
                                            <input type="text" autocomplete="off"  id="pais_tarjeta_detalle" name="pais_tarjeta_detalle" class="form-control tener_pais_tarjeta_detalle" value="{$pais_tarjeta_detalle}">                                        
                                        </div>
                                    </div> 

                                    <div class="mb-3 row">
                                        <label for="ciudad_tarjeta_detalle" class="col-sm-3"><span class="h6">City</span><span class="text-danger">*</span> </label>
                                        <div class="col-sm-9">
                                            <input type="text" autocomplete="off"  id="ciudad_tarjeta_detalle" name="ciudad_tarjeta_detalle" class="form-control tener_ciudad_tarjeta_detalle" value="{$ciudad_tarjeta_detalle}">                                        
                                        </div>
                                    </div> 


                                    <div class="mb-3 row">
                                        <label for="direccion_tarjeta_detalle" class="col-sm-3"><span class="h6">{$_L['Address']} 2</span><span class="text-danger"></span> </label>
                                        <div class="col-sm-9">
                                            <input type="text" autocomplete="off"  id="direccion_tarjeta_detalle" name="direccion_tarjeta_detalle" class="form-control tener_direccion_tarjeta_detalle" value="{$direccion_tarjeta_detalle}">                                        
                                        </div>
                                    </div>     

                                    <div class="mb-3 row">
                                        <label for="telefono_tarjeta_detalle" class="col-sm-3"><span class="h6">Phone</span><span class="text-danger">*</span> </label>
                                        <div class="col-sm-9">
                                            <input type="text" autocomplete="off"  id="telefono_tarjeta_detalle" name="telefono_tarjeta_detalle" class="form-control tener_telefono_tarjeta_detalle" value="{$telefono_tarjeta_detalle}">                                        
                                        </div>
                                    </div>                           

                                </div>


                                {* fin informacion de la tarjeta *}




                            <div class="row">
                                <div class="col-md-12">
                                    <div class="mb-3">


                                        <button class="btn btn-primary mt-3 me-3" type="submit" id="submit">{$_L['Save']}</button>


                                    </div>
                                </div>
                            </div>


                        </form>
                    </div>

                </div>



            </div>
        </div>
    </div>
</div>

 
{/block}

{block name="script"}
<script>

     
    var baseImagen = "";
    var baseUrlServidor = window.location.protocol + "//" + window.location.hostname + (window.location.port ? ':' + window.location.port : '');

     $('.abrirImagen').on('click', function(e) {
        e.preventDefault();

        let url_img = $(".tenerurlImagen").val();
        window.open(baseUrlServidor+"/"+url_img, '_blank');
     });
      

    $(document).ready(function () {

        $('.tenerValorMensual').prop('disabled', true);
        //$('.fechaDemostracion').prop('disabled', true);

        //tarjetas
        $('.tenercard_name').attr('disabled', 'disabled');
        $('.tenerccv_code').attr('disabled', 'disabled');
        $('.teneraddress_card').attr('disabled', 'disabled');
        $('.tenercard_number').attr('disabled', 'disabled');

        //esto seria billings
        $('.tener_mes_expiracion').attr('disabled', 'disabled');
        $('.tener_ano_expiracion').attr('disabled', 'disabled');
        $('.tener_nombre_tarjeta_detalle').attr('disabled', 'disabled');
        $('.tener_correo_tarjeta_detalle').attr('disabled', 'disabled');
        $('.tener_codigo_postal_tarjeta_detalle').attr('disabled', 'disabled');
        $('.tener_pais_tarjeta_detalle').attr('disabled', 'disabled');
        $('.tener_ciudad_tarjeta_detalle').attr('disabled', 'disabled');
        $('.tener_telefono_tarjeta_detalle').attr('disabled', 'disabled');
        $('.tener_direccion_tarjeta_detalle').attr('disabled', 'disabled');

        var fechaActual = new Date();

        // Obtener la fecha de ayer
        var fechaAyer = new Date(fechaActual);
        fechaAyer.setDate(fechaAyer.getDate() - 1);

        // Formatear la fecha de ayer en el formato YYYY-MM-DD
        var fechaAyerFormateada = fechaAyer.toISOString().slice(0,10);

        // Formatear la fecha actual en el formato YYYY-MM-DD
        var fechaFormateada = fechaActual.toISOString().slice(0,10);

        if(isEmpty($('.fechaDemostracion').val()))
        {
            $('#fechaFinalDemo').val(fechaFormateada);
        }

        var selectMesExpiracion = $('.tener_mes_expiracion');
        for (var i = 1; i <= 12; i++) {
            var opcion = $('<option></option>').attr('value', i).text(i);            
            selectMesExpiracion.append(opcion);
        }
         
        // Asignar la fecha formateada al campo de entrada
        //$('#fechaFinalDemo').val(fechaFormateada);

        // Establecer la fecha mínima permitida en el campo de entrada
        $('#fechaFinalDemo').attr('min', fechaAyerFormateada);

        var selectFechaCobro = $('#fechaCobro');
        // Iterar del 1 al 31 para generar las opciones
        for (var i = 1; i <= 31; i++) {
            // Crear una nueva opción
            var opcion = $('<option></option>').attr('value', i).text(i);
            selectFechaCobro.append(opcion);
        }

        cargarInfoEntrada();
         
        $(".progress").hide();
        $("#emsg").hide();
        var _url = '{$_url}';

        var $cid = $('#cid');

        $cid.select2();

        $country = $("#country");

        $country.select2();


        $("#submit").click(function (e) {
            e.preventDefault();

            if( $(".tenerFormaPagoAutomaticoManual").val() == "2" ||  $(".tenerFormaPagoAutomaticoManual").val() == 2)
            {
                let number_card = $(".tenercard_number").val();

                if(validarSoloNumeros(number_card) == false)
                {
                    toastr.error("!The number of cards can only have numbers¡");
                    return;
                }

                if($('.tener_mes_expiracion').val() == 0 || $('.tener_mes_expiracion').val() == "0")
                {
                    toastr.error("!Select Expiration Month¡");
                    return;
                }
 
                if( isEmpty($('.tener_ano_expiracion').val())  )
                {
                    toastr.error("!Select a card expiration year¡");
                    return;
                }

                if( isEmpty($('.tener_nombre_tarjeta_detalle').val())  )
                {
                    toastr.error("!Billing details name is required¡");
                    return;
                }

                if( isEmpty($('.tener_correo_tarjeta_detalle').val())  )
                {
                    toastr.error("!Billing details email is required¡");
                    return;
                }

                if( isEmpty($('.tener_codigo_postal_tarjeta_detalle').val())  )
                {
                    toastr.error("!Zip code required with billing details¡");
                    return;
                }

                if( isEmpty($('.tener_pais_tarjeta_detalle').val())  )
                {
                    toastr.error("!Country required with billing details¡");
                    return;
                }

                if( isEmpty($('.tener_ciudad_tarjeta_detalle').val())  )
                {
                    toastr.error("!City required with billing details¡");
                    return;
                }

                if( isEmpty($('.tener_telefono_tarjeta_detalle').val())  )
                {
                    toastr.error("!Phone required with billing details¡");
                    return;
                }
            }

            if($(".tipoPagoSeleccionado").val() == "3")
            {
                if(isEmpty($('.fechaDemostracion').val()))
                {
                    var body = $("html, body");
                    body.animate({ scrollTop:0 }, '1000', 'swing');
                    $("#emsgbody").html("Demo end date name is required");
                    $("#emsg").show("slow");
                    return;
                }
            }

            let url_img = $(".tenerurlImagen").val();
            var informacionEnviar = {
                id:           {$d['id']},
                company_name: $(".tenercompany_name").val(),
                fullname:     $(".tenerfullname").val(),
                phone:        $(".tenerphone").val(),
                email:        $(".teneremail").val(),
                address:      $(".teneraddress").val(),
                city:         $(".tenercity").val(),
                state:        $(".tenerstate").val(),
                zip:          $(".tenerzip").val(),
                country:      $(".tenercountry").val(),
                url_slug:     $(".tenerurl_slug").val(),

                //nueva
                estado:       $(".tenerestado").val(),
                tipoCobro:    $(".tipoPagoSeleccionado").val(),
                fechaDemostracion:     $(".fechaDemostracion").val(),
                tenerValorPorUsuario:  $(".tenerValorPorUsuario").val(),
                tenerValorMensual:     $(".tenerValorMensual").val(),
                //fechaCobro:            $(".fechaCobro").val(),
                logotipo:              baseImagen,
                urlImagen:             url_img,

                //tarjetas
                formaPagoManualAutomatico: $(".tenerFormaPagoAutomaticoManual").val(),
                card_name: $(".tenercard_name").val(),
                ccv_code:     $(".tenerccv_code").val(),
                address_card:   $(".teneraddress_card").val(),
                card_number:  $(".tenercard_number").val(),
                estado_card: $(".tenerestado_card").val(),

                mes_expiracion:  $(".tener_mes_expiracion").val(),
                ano_expiracion:  $(".tener_ano_expiracion").val(),

                //binding detalles
                nombre_tarjeta_detalle:  $(".tener_nombre_tarjeta_detalle").val(),
                correo_tarjeta_detalle:  $(".tener_correo_tarjeta_detalle").val(),
                codigo_postal_tarjeta_detalle:  $(".tener_codigo_postal_tarjeta_detalle").val(),
                pais_tarjeta_detalle:  $(".tener_pais_tarjeta_detalle").val(),
                ciudad_tarjeta_detalle:  $(".tener_ciudad_tarjeta_detalle").val(),
                telefono_tarjeta_detalle:  $(".tener_telefono_tarjeta_detalle").val(),
                direccion_tarjeta_detalle:  $(".tener_direccion_tarjeta_detalle").val(),

            }; 
   
            /* console.log(JSON.stringify(informacionEnviar));
            return; */

            $('#ibox_form').block({ message:block_msg });

            $.post(base_url + 'parnerts/edit-parnert-post/', JSON.stringify(informacionEnviar))
            .done(function (data) {

                //console.log(data);
                /* console.log(data);
                return; */

                try {
                         const info = JSON.parse(data);
                       
                        if( info.type == "success")
                        {
                            $('#ibox_form').unblock();

                            toastr.success(info.message);          
                            //window.location = info.redirect;
                            window.location = base_url + 'parnerts/list_parnert';

                            baseImagen = "";

                            $(".tenercompany_name").val("");
                            $(".tenerfullname").val("");
                            $(".tenerphone").val("");
                            $(".teneremail").val("");
                            $(".teneraddress").val("");
                            $(".tenercity").val("");
                            $(".tenerstate").val("");
                            $(".tenerzip").val("");
                            $(".tenercountry").val("");
                            $(".tenerurl_slug").val("");
                            
                            $(".tenerValorPorUsuario").val("0");
                            $(".tenerestado").val("1");
                            $(".tipoPagoSeleccionado").val("1");
                            $(".tenerValorMensual").val("0");
                            //$(".fechaCobro").val("1");

                            var fechaActual = new Date();
                            var fechaFormateada = fechaActual.toISOString().slice(0,10);
                            $('.fechaDemostracion').val(fechaFormateada);

                            $('.imagenSeleccionada').val('');

                        }else{
                            $('#ibox_form').unblock();
                            var body = $("html, body");
                            body.animate({ scrollTop:0 }, '1000', 'swing');
                            $("#emsgbody").html(info.message);
                            $("#emsg").show("slow");
                        }
                    } catch (error) {
                        $('#ibox_form').unblock();
                        var body = $("html, body");
                        body.animate({ scrollTop:0 }, '1000', 'swing');
                        $("#emsgbody").html(data);
                        $("#emsg").show("slow");
                    }

                /* var sbutton = $("#submit");
                if ($.isNumeric(data)) {
                  
                    window.location = base_url + 'parnerts/list_parnert';
                }
                else {
                    $('#ibox_form').unblock();
                    var body = $("html, body");
                    body.animate({ scrollTop:0 }, '1000', 'swing');
                    $("#emsgbody").html(data);
                    $("#emsg").show("slow");
                } */
            });
        });


    });

    $('.tipoPagoSeleccionado').change(function() {
        // Obtener el valor seleccionado
        var valorSeleccionado = $(this).val();
        
        // Obtener el texto de la opción seleccionada
        //var textoSeleccionado = $(this).find('option:selected').text();

        if(valorSeleccionado == "3" || valorSeleccionado =="1" || valorSeleccionado == "2")
        {
            // Mostrar el valor y el texto seleccionado en la consola
            //console.log('Valor seleccionado:', valorSeleccionado);//su value
            //console.log('Texto seleccionado:', textoSeleccionado);

            if(valorSeleccionado == "3")
            {
                $('.tenerValorPorUsuario').prop('disabled', true);
                $('.fechaDemostracion').prop('disabled', true);
                $('.tenerValorMensual').prop('disabled', true);
                $('.fechaMensual').prop('disabled', true);
                //$('.fechaCobro').prop('disabled', true);                
                  
            }else{

                if(isEmpty($('.fechaDemostracion').val()))
                {
                    var fechaActual = new Date();
                    var fechaAyer = new Date(fechaActual);
                    fechaAyer.setDate(fechaAyer.getDate() - 1);
                    var fechaAyerFormateada = fechaAyer.toISOString().slice(0,10);
                    var fechaFormateada = fechaActual.toISOString().slice(0,10);
                    $('.fechaDemostracion').val(fechaFormateada);
                    $('.fechaDemostracion').attr('min', fechaAyerFormateada);
                }

                $('.tenerValorPorUsuario').prop('disabled', false);
                $('.fechaDemostracion').prop('disabled', false);
                $('.tenerValorMensual').prop('disabled', false);
                $('.fechaMensual').prop('disabled', false);
                //$('.fechaCobro').prop('disabled', false);
            }

            

        } 

        if(valorSeleccionado == "1" )
        {
            $('.tenerValorMensual').prop('disabled', true);
        } 

        if(valorSeleccionado == "2" )
        {
           $('.tenerValorPorUsuario').prop('disabled', true);
        }
    
    
    });

    $('.imagenSeleccionada').change(function(event) {
         

        const file = event.target.files[0];
        if (file == null || file == undefined) {
            return;
        }

        resizeImage(file, 500, 500) // Define el maxWidth y maxHeight según tus necesidades
        .then((resizedBase64) => {
            const base64WithoutPrefix = resizedBase64.split(',')[1]; // Dividir la cadena en base64 por la coma y tomar la segunda parte

            //console.log(base64WithoutPrefix); 

            baseImagen = base64WithoutPrefix;
        })
        .catch((error) => {
            console.error('Error al redimensionar la imagen:', error);
        });
        
        
    });

    function resizeImage(file, maxWidth, maxHeight) {
      return new Promise((resolve, reject) => {
        const reader = new FileReader();
        reader.readAsDataURL(file);

        reader.onload = (event) => {
          const img = new Image();
          img.src = event.target.result;

          img.onload = () => {
            const canvas = document.createElement('canvas');
            const ctx = canvas.getContext('2d');

            if (ctx) {
              const canvasWidth = maxWidth;
              const canvasHeight = maxHeight;

              let width = img.width;
              let height = img.height;

              if (width > height) {
                if (width > maxWidth) {
                  height *= maxWidth / width;
                  width = maxWidth;
                }
              } else {
                if (height > maxHeight) {
                  width *= maxHeight / height;
                  height = maxHeight;
                }
              }

              const x = (canvasWidth - width) / 2;
              const y = (canvasHeight - height) / 2;

              // Establecer el tamaño del lienzo
              canvas.width = canvasWidth;
              canvas.height = canvasHeight;

              // Rellenar el lienzo con color transparente
              ctx.fillStyle = 'rgba(0, 0, 0, 0)'; // Rellena con color transparente
              ctx.fillRect(0, 0, canvasWidth, canvasHeight); // Rellena todo el lienzo

              // Dibujar la imagen centrada en el lienzo
              ctx.drawImage(img, x, y, width, height);

              const base64Canvas = canvas.toDataURL('image/png', 1);

              resolve(base64Canvas);
            } else {
              reject(new Error('El contexto 2D del lienzo no se ha creado correctamente.'));
            }
          };

          img.onerror = (error) => {
            reject(error);
          };
        };

        reader.onerror = (error) => {
          reject(error);
        };
      });
    }

    function cargarInfoEntrada()
    {
        if({$d['tipo_cobro']} == "3")
        {
            $('.tenerValorPorUsuario').prop('disabled', true);
            $('.fechaDemostracion').prop('disabled', true);
            $('.tenerValorMensual').prop('disabled', true);
            $('.fechaMensual').prop('disabled', true);
                                 
        }else{
            $('.tenerValorPorUsuario').prop('disabled', false);
            $('.fechaDemostracion').prop('disabled', false);
            $('.tenerValorMensual').prop('disabled', false);
            $('.fechaMensual').prop('disabled', false);
        }

        if({$d['tipo_cobro']} == "1" )
        {
            $('.tenerValorMensual').prop('disabled', true);
        } 

        if({$d['tipo_cobro']} == "2" )
        {
           $('.tenerValorPorUsuario').prop('disabled', true);
        }

        $(".tenerValorPorUsuario").val({$d['valor_por_usuario']});
        $(".tenerestado").val({$d['estado_id']});
        $(".tipoPagoSeleccionado").val({$d['tipo_cobro']});
        $(".tenerValorMensual").val({$d['valor_por_mensualidad']});
        $(".fechaCobro").val({$d['fecha_cobro']});
      
        $(".tenerFormaPagoAutomaticoManual").val({$manual_o_automatico});

        $(".tenerestado_card").val({$card_status});

        $(".tener_mes_expiracion").val({$exp_month});

        const year = {$exp_year};
        const month = $(".tener_mes_expiracion").val().toString().padStart(2, '0');
        const day = '01';
        
        const momentFecha = moment(year+"-"+month+"-"+day, "YYYY-M-D");
        const diasEnMes = momentFecha.daysInMonth();

        const formattedDate = year+"-"+month+"-"+diasEnMes;

        $(".tener_ano_expiracion").val(formattedDate);

 
        if($(".tenerFormaPagoAutomaticoManual").val() == "1" || $(".tenerFormaPagoAutomaticoManual").val() == 1)
        {
            $('.tenercard_name').attr('disabled', 'disabled');
            $('.tenerccv_code').attr('disabled', 'disabled');
            $('.teneraddress_card').attr('disabled', 'disabled');
            $('.tenercard_number').attr('disabled', 'disabled');
            $('.tener_mes_expiracion').attr('disabled', 'disabled');
            $('.tener_ano_expiracion').attr('disabled', 'disabled');

            $('.tener_nombre_tarjeta_detalle').attr('disabled', 'disabled');
            $('.tener_correo_tarjeta_detalle').attr('disabled', 'disabled');
            $('.tener_codigo_postal_tarjeta_detalle').attr('disabled', 'disabled');
            $('.tener_pais_tarjeta_detalle').attr('disabled', 'disabled');
            $('.tener_ciudad_tarjeta_detalle').attr('disabled', 'disabled');
            $('.tener_telefono_tarjeta_detalle').attr('disabled', 'disabled');
            $('.tener_direccion_tarjeta_detalle').attr('disabled', 'disabled');

        }else{
            $('.tenercard_name').removeAttr('disabled');
            $('.tenerccv_code').removeAttr('disabled');
            $('.teneraddress_card').removeAttr('disabled');
            $('.tenercard_number').removeAttr('disabled');
            $('.tener_mes_expiracion').removeAttr('disabled');
            $('.tener_ano_expiracion').removeAttr('disabled');

            $('.tener_nombre_tarjeta_detalle').removeAttr('disabled');
            $('.tener_correo_tarjeta_detalle').removeAttr('disabled');
            $('.tener_codigo_postal_tarjeta_detalle').removeAttr('disabled');
            $('.tener_pais_tarjeta_detalle').removeAttr('disabled');
            $('.tener_ciudad_tarjeta_detalle').removeAttr('disabled');
            $('.tener_telefono_tarjeta_detalle').removeAttr('disabled');
            $('.tener_direccion_tarjeta_detalle').removeAttr('disabled');

        }

        //console.log($(".tipoPagoSeleccionado").val());

        /* if($(".tipoPagoSeleccionado").val() == 3 || $(".tipoPagoSeleccionado").val() == "3")
        {
            $('.fechaDemostracion').prop('disabled', true);
        }else{
            $('.fechaDemostracion').prop('disabled', false);
        } */

        //console.log({$d['fecha_final_demostracion']});
        //$('.fechaDemostracion').val({$d['fecha_final_demostracion']});

    }

    function isEmpty(value) {
        // Verificar si es null o undefined
        if (value == null) return true;

        // Verificar si es una cadena vacía
        if (typeof value === "string" && value.trim() === "") return true;

        // Verificar si es un array vacío
        if (Array.isArray(value) && value.length === 0) return true;

        // Verificar si es un objeto vacío
        if (typeof value === "object" && Object.keys(value).length === 0) return true;

        return false;
    }

    $(".tenerFormaPagoAutomaticoManual").on('change', function() {

        var selectedValue = $(this).val();
        //console.log("Valor seleccionado: " + selectedValue);
 
        if(selectedValue == 1)//si es 1 es manual inactivar todo
        {
            $('.tenercard_name').attr('disabled', 'disabled');
            $('.tenerccv_code').attr('disabled', 'disabled');
            $('.teneraddress_card').attr('disabled', 'disabled');
            $('.tenercard_number').attr('disabled', 'disabled');
        }else{
            $('.tenercard_name').removeAttr('disabled');
            $('.tenerccv_code').removeAttr('disabled');
            $('.teneraddress_card').removeAttr('disabled');
            $('.tenercard_number').removeAttr('disabled');
        }
       
    });

    function validarSoloNumeros(input) {
        const number = parseInt(input, 10);
        return !isNaN(number) && number.toString() === input;
    }



function serach_address(address,secundary,option = 1) {

  var country = $('#country').val();
  let x=address.trim();
  if (x.length > 2 && country === "United States") {
    var settings = {
      "url": "https://us-autocomplete-pro.api.smarty.com/lookup?key=188805315395749398&search="+address+"&selected="+secundary+"&include_only_cities=&include_only_states=&include_only_zip_codes=&exclude_states=&prefer_cities=&prefer_states=&prefer_zip_codes=&source=all",
      "method": "GET",
      "timeout": 0,
      "headers": {
        "Host": "us-autocomplete-pro.api.smarty.com",
        "Referer": "https://hispanosdeexitollc.com"
    },
};

$('#browsers').html('');
$('#browsers').show();

$.ajax(settings).done(function (response) {

  $.each(response.suggestions, function (k, v) {
    let text=v.street_line+' '+v.secondary+' '+v.city+', '+v.state+' '+v.zipcode;
    let line=v.street_line+' '+v.secondary+' ('+v.entries+') '+v.city+', '+v.state+' '+v.zipcode;
    let line2=v.street_line+' '+v.secondary;
    let entries=(v.entries > 1) ? '<a href="#" data-data1="'+line+'" data-data2="'+line2+'" class="addresssec"><span class="badge bg-primary rounded-pill">+ '+v.entries+' Address</span></a>' : "" ;
    let option='<li class="list-group-item d-flex justify-content-between align-items-start "><div class="ms-2 me-auto address1" data-data1="'+v.city+'" data-data2="'+v.state+'" data-data3="'+v.zipcode+'" data-data4="'+v.street_line+' '+v.secondary+'"><div class="fw-bold">'+text+'</div></div>'+entries+'</li>';
    $('#browsers').append(option);
    x++;
});
});
}
}


$("input[name='address']").on('input', function(e){
  var address = $(this).val();
  var country = $('#country').val();
  let x=address.trim();
  if (x.length > 2 && country === "United States") {
    address = address.replace(/,/g, "");
    address = address.replace(/ /g, "+");
    address = address.replace(/#/g, "%23");
    serach_address(address,"",1);    
}
});


$(document).on('click', '.address1', function(e){
    e.preventDefault();
    $('#city').val($(this).data('data1'));
    $('#state').val($(this).data('data2'));
    $('#zip').val($(this).data('data3'));
    $('#address').val($(this).data('data4'));
    $('#browsers').hide();

});


$(document).on('click', '.addresssec', function(e){
    e.preventDefault();
    let address=$(this).data('data2');
    $('#address').val(address);
    let secundary=$(this).data('data1');
    secundary = secundary.replace(/,/g, "");
    secundary = secundary.replace(/ /g, "+");
    secundary = secundary.replace(/#/g, "%23");
    address = address.replace(/,/g, "");
    address = address.replace(/ /g, "+");
    address = address.replace(/#/g, "%23");
    serach_address(address,secundary,2);
});

</script>
{/block}